import React from "react";
import Svg, { Path } from "react-native-svg";
export const CloseIcon = ({ size, color }) =>
  React.createElement(
    Svg,
    {
      xmlns: "http://www.w3.org/2000/svg",
      width: size || 22,
      height: size || 22,
      fill: color || "inherit",
      viewBox: "0 0 24 24"
    },
    React.createElement(Path, {
      d:
        "M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z"
    }),
    React.createElement(Path, {
      d: "M0 0h24v24H0z",
      fill: "none"
    })
  );
export const CheckIcon = ({ size, color }) =>
  React.createElement(
    Svg,
    {
      xmlns: "http://www.w3.org/2000/svg",
      width: size || 16,
      height: size || 16,
      fill: color || "inherit",
      viewBox: "0 0 24 24"
    },
    React.createElement(Path, {
      d: "M0 0h24v24H0z",
      fill: "none"
    }),
    React.createElement(Path, {
      d: "M9 16.17L4.83 12l-1.42 1.41L9 19 21 7l-1.41-1.41z"
    })
  );
export const StarIcon = ({ size, color }) =>
  React.createElement(
    Svg,
    {
      xmlns: "http://www.w3.org/2000/svg",
      viewBox: "0 0 24 24",
      width: size || 16,
      height: size || 16,
      fill: color || "#eeeeee"
    },
    React.createElement(Path, {
      d: "M0 0h24v24H0z",
      fill: "none"
    }),
    React.createElement(Path, {
      d:
        "M12 17.27L18.18 21l-1.64-7.03L22 9.24l-7.19-.61L12 2 9.19 8.63 2 9.24l5.46 4.73L5.82 21z"
    }),
    React.createElement(Path, {
      d: "M0 0h24v24H0z",
      fill: "none"
    })
  );
