import React from "react";
import { View, ActivityIndicator, StyleSheet, Platform } from "react-native";
import { colors } from "../theme";
export const PageLoader = ({ iframe }) => {
  const style = {
    height: Platform.OS === "web" ? (iframe ? "100%" : "100vh") : "100%"
  };
  return React.createElement(
    View,
    {
      style: [style, styles.container]
    },
    React.createElement(ActivityIndicator, {
      size: "large",
      color: colors.main
    })
  );
};
const styles = StyleSheet.create({
  container: {
    display: "flex",
    alignItems: "center",
    justifyContent: "center",
    paddingVertical: 60,
    width: "100%"
  }
});
