import React from "react";
import Svg, { Path } from "react-native-svg";
export const INFO = "info";
export const SUCCESS = "success";
export const WARNING = "warning";
export const ERROR = "error";
export const NOTIFICATION = "notification";
export const VARIANTS = [SUCCESS, WARNING, ERROR, INFO, NOTIFICATION];
export const callAll = (...fns) => (...args) =>
  fns.forEach(fn => fn && fn(...args));
export const ToastSuccess = ({ color }) =>
  React.createElement(
    Svg,
    {
      xmlns: "http://www.w3.org/2000/svg",
      width: "20",
      height: "20",
      fill: color || "white",
      viewBox: "0 0 24 24"
    },
    React.createElement(Path, {
      d:
        "M12 2c5.52 0 10 4.48 10 10s-4.48 10-10 10S2 17.52 2 12 6.48 2 12 2m-1 14.5l7-7-1.41-1.41L11 13.67l-3.09-3.08L6.5 12l4.5 4.5z"
    })
  );
export const ToastWarning = ({ color }) =>
  React.createElement(
    Svg,
    {
      xmlns: "http://www.w3.org/2000/svg",
      width: "20",
      height: "20",
      fill: color || "white",
      viewBox: "0 0 24 24"
    },
    React.createElement(Path, {
      d: "M13 14h-2v-4h2m0 8h-2v-2h2M1 21h22L12 2 1 21z"
    })
  );
export const ToastError = ({ color }) =>
  React.createElement(
    Svg,
    {
      xmlns: "http://www.w3.org/2000/svg",
      width: "20",
      height: "20",
      fill: color || "white",
      viewBox: "0 0 24 24"
    },
    React.createElement(Path, {
      d:
        "M13 13h-2V7h2m0 10h-2v-2h2M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2z"
    })
  );
export const ToastInfo = ({ color }) =>
  React.createElement(
    Svg,
    {
      xmlns: "http://www.w3.org/2000/svg",
      width: "20",
      height: "20",
      fill: color || "white",
      viewBox: "0 0 24 24"
    },
    React.createElement(Path, {
      d:
        "M13 9h-2V7h2m0 10h-2v-6h2m-1-9C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2z"
    })
  );
